> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /wikimedia_commons/files/search

> Search Wikimedia Commons media files by full-text query

**Price:** 1 credit



## OpenAPI

````yaml /openapi/developer-data.json post /api/wikimedia_commons/files/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/wikimedia_commons/files/search:
    post:
      tags:
        - /wikimedia_commons
      summary: /wikimedia_commons/files/search
      description: |-
        Search Wikimedia Commons media files by full-text query

        **Price:** 1 credit
      operationId: __api_wikimedia_commons_files_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WikimediaCommonsFilesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WikimediaCommonsSearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WikimediaCommonsFilesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        depicts:
          anyOf:
            - type: string
            - type: 'null'
        mime:
          anyOf:
            - type: string
            - type: 'null'
        file_type:
          anyOf:
            - $ref: '#/components/schemas/WikimediaCommonsFileType'
            - type: 'null'
        sort:
          $ref: '#/components/schemas/WikimediaCommonsSearchSort'
          default: relevance
      type: object
      required:
        - keyword
        - count
    WikimediaCommonsSearchResult:
      properties:
        '@type':
          type: string
          default: WikimediaCommonsSearchResult
        id:
          type: integer
        image:
          type: string
          default: ''
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
        description_url:
          type: string
          default: ''
        web_url:
          type: string
          default: ''
        width:
          anyOf:
            - type: integer
            - type: 'null'
        height:
          anyOf:
            - type: integer
            - type: 'null'
        size:
          anyOf:
            - type: integer
            - type: 'null'
        mime:
          anyOf:
            - type: string
            - type: 'null'
        media_type:
          anyOf:
            - type: string
            - type: 'null'
        uploaded_by:
          anyOf:
            - type: string
            - type: 'null'
        uploaded_at:
          anyOf:
            - type: string
            - type: 'null'
        license_short_name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WikimediaCommonsFileType:
      type: string
      enum:
        - bitmap
        - drawing
        - audio
        - video
        - office
        - pdf
    WikimediaCommonsSearchSort:
      type: string
      enum:
        - relevance
        - last_edit_desc
        - last_edit_asc
        - create_timestamp_desc
        - create_timestamp_asc
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````